// context.go
package expr

type exprFunc interface {
	Name() string
	MinArgs() int
	MaxArgs() int
}

type exprContext interface {
	GetValue(varName string) (value any, exists bool)
	SetValue(varName string, value any)
	GetFuncInfo(name string) exprFunc
	Call(name string, args []any) (result any, err error)
}
